require 'extensions.rb'
Sketchup::require Sketchup.find_support_file("Plugins") + '/Projection/fr_projection'

#-----------------------------------------------------------------------------------------------------
#                                        MENU ITEMS
#-----------------------------------------------------------------------------------------------------

if !file_loaded?("fr_projection_extension.rb")

  #Projection toolbar
  #-----------------------------------------------------------------------------------------
  gp_project_tb = UI::Toolbar.new("Projections")
#Guides eraser
  cmd100 = UI::Command.new(("Effacer les guides")) { xlinesEraser() }
  cmd100.small_icon = "Projection/Xlines_erase_Small.png"
  cmd100.large_icon = "Projection/Xlines_erase_Large.png"
  cmd100.tooltip = "Efface les guides créés par le plugin ou par SketchUp"
  gp_project_tb.add_item(cmd100)
  #Add Cpoint
  cmd0 = UI::Command.new(("Point guide")) { Sketchup.active_model.select_tool(AddCpointTool.new) }
  cmd0.small_icon = "Projection/Const_Point_Small.png"
  cmd0.large_icon = "Projection/Const_Point_Large.png"
  cmd0.tooltip = "Inserer un point guide"
  gp_project_tb.add_item(cmd0)
  #Add guides through lines
  cmd8 = UI::Command.new(("Guide passant par ligne(s)")) { Sketchup.active_model.select_tool(XLinesThrougLinesTool.new) }
  cmd8.small_icon = "Projection/Xlines_through_lines_Small.png"
  cmd8.large_icon = "Projection/Xlines_through_lines_Large.png"
  cmd8.tooltip = "Inserer des guides passant par toutes des lignes ou des faces"
  gp_project_tb.add_item(cmd8)
  #Add normal guide through face
  cmd83 = UI::Command.new(("Guide perpendiculaire à la face")) { Sketchup.active_model.select_tool(XLineNormalThrougFaceTool.new) }
  cmd83.small_icon = "Projection/Xlines_normals_Small.png"
  cmd83.large_icon = "Projection/Xlines_normals_Large.png"
  cmd83.tooltip = "Inserer un guide perpendiculaire à la face, passant par un point"
  gp_project_tb.add_item(cmd83)
   #Add normal guide through intersections of faces
  cmd84 = UI::Command.new(("Guides aux intersections entre faces")) { xLineThrougIntersectionsFaces() }
  cmd84.small_icon = "Projection/Xlines_intersections_Small.png"
  cmd84.large_icon = "Projection/Xlines_intersections_Large.png"
  cmd84.tooltip = "Insere des guides aux intersections entre les faces sélectionnées"
  gp_project_tb.add_item(cmd84)
  #Add guides at measured intervals
  cmd81 = UI::Command.new(("Guides par intervalles")) { Sketchup.active_model.select_tool(XLinesAtIntervalsTool.new) }
  cmd81.small_icon = "Projection/Xlines_intervals_Small.png"
  cmd81.large_icon = "Projection/Xlines_intervals_Large.png"
  cmd81.tooltip = "Inserer des guides à intervalles réguliers à partir d'une ligne"
  gp_project_tb.add_item(cmd81)
  #Add guides at equal intervals
  cmd82 = UI::Command.new(("Guides par divisions")) { Sketchup.active_model.select_tool(XLinesAtDivisionsTool.new) }
  cmd82.small_icon = "Projection/Xlines_divisions_Small.png"
  cmd82.large_icon = "Projection/Xlines_divisions_Large.png"
  cmd82.tooltip = "Inserer des guides divisant régulierèrement une ligne"
  gp_project_tb.add_item(cmd82)
   #Add guides at radial intervals
  cmd821 = UI::Command.new(("Guides radiaux")) { Sketchup.active_model.select_tool(XLinesAtRadialsTool.new) }
  cmd821.small_icon = "Projection/Xlines_radials_Small.png"
  cmd821.large_icon = "Projection/Xlines_radials_Large.png"
  cmd821.tooltip = "Insere des guides radiaux autour d'un point"
  gp_project_tb.add_item(cmd821)
  #Add guides as a rectangle
  cmd822 = UI::Command.new(("Guides rectangulaires")) { Sketchup.active_model.select_tool(XLinesRectangleTool.new) }
  cmd822.small_icon = "Projection/Xlines_rectangle_Small.png"
  cmd822.large_icon = "Projection/Xlines_rectangle_Large.png"
  cmd822.tooltip = "Insere des guides aux bords d'un rectangle"
  gp_project_tb.add_item(cmd822)
  #Project point on line or face
  cmd1 = UI::Command.new(("Point perpendiculaire à une ligne/face")) { Sketchup.active_model.select_tool(ProjectCpointTool.new) }
  cmd1.small_icon = "Projection/Point_sur_plan_Small.png"
  cmd1.large_icon = "Projection/Point_sur_plan_Large.png"
  cmd1.tooltip = "Projeter un point guide perpendiculairement à une ligne ou face"
  gp_project_tb.add_item(cmd1)
  #Project line(s) as cpoints on face(s)
  cmd11 = UI::Command.new(("Projette  lignes/guides sous forme de points sur des faces")) { cpointAtLineFaceIntersection() }
  cmd11.small_icon = "Projection/Const_Point_sur_plan_Small.png"
  cmd11.large_icon = "Projection/Const_Point_sur_plan_Large.png"
  cmd11.tooltip = "Projette  lignes/guides sous forme de points sur des faces"
  gp_project_tb.add_item(cmd11)
  #Project lines on plane
  cmd2 = UI::Command.new(("Lignes perpendiculaires aux faces")) { Sketchup.active_model.select_tool(ProjectLinesOnPlaneTool.new) }
  cmd2.small_icon = "Projection/Lignes_sur_plan_Small.png"
  cmd2.large_icon = "Projection/Lignes_sur_plan_Large.png"
  cmd2.tooltip = "Projeter des lignes perpendiculairement au plan d'une face"
  gp_project_tb.add_item(cmd2)
  #Project faces perpendicular to plane
  cmd3 = UI::Command.new(("Faces perpendiculaires aux faces")) { Sketchup.active_model.select_tool(ProjectFacesOnPlaneTool.new) }
  cmd3.small_icon = "Projection/Faces_sur_plan_Small.png"
  cmd3.large_icon = "Projection/Faces_sur_plan_Large.png"
  cmd3.tooltip = "Projeter des faces perpendiculairement aux plans des faces"
  gp_project_tb.add_item(cmd3)
  #Project faces on plane along vector
  cmd4 = UI::Command.new(("Faces sur plan de face, le long d'un vecteur")) { Sketchup.active_model.select_tool(ProjectFacesAlongVectorTool.new) }
  cmd4.small_icon = "Projection/Faces_sur_plan_vecteur_Small.png"
  cmd4.large_icon = "Projection/Faces_sur_plan_vecteur_Large.png"
  cmd4.tooltip = "Projeter des faces sur le plan d'une autre face, le long d'un vecteur"
  gp_project_tb.add_item(cmd4)
  #Push-pull along vector
  cmd5 = UI::Command.new(("Pousser-tirer le long d'un vecteur")) { Sketchup.active_model.select_tool(PushpullFacesAlongVectorTool.new) }
  cmd5.small_icon = "Projection/Pousser-tirer_vecteur_Small.png"
  cmd5.large_icon = "Projection/Pousser-tirer_vecteur_Large.png"
  cmd5.tooltip = "Pousser-tirer le long d'un vecteur"
  gp_project_tb.add_item(cmd5)
  #Push-pull along their normals
  cmd6 = UI::Command.new(("Pousser-tirer le long de la normale à la face")) { Sketchup.active_model.select_tool(ProjectPushpullFacesAlongNormalsTool.new) }
  cmd6.small_icon = "Projection/Pousser-tirer_normales_Small.png"
  cmd6.large_icon = "Projection/Pousser-tirer_normales_Large.png"
  cmd6.tooltip = "Pousser-tirer le long de la normale à la face"
  gp_project_tb.add_item(cmd6)
  #Extrude lines along vector
  cmd7 = UI::Command.new(("Extruder des lignes")) { Sketchup.active_model.select_tool(ExtrudeLinesTool.new) }
  cmd7.small_icon = "Projection/Extruder_lignes_Small.png"
  cmd7.large_icon = "Projection/Extruder_lignes_Large.png"
  cmd7.tooltip = "Extruder des lignes en faces, le long d'un vecteur"
  gp_project_tb.add_item(cmd7)

end

file_loaded("fr_projection_extension.rb")
